Bug 1622652 - Service Retirement runs twice for direct service children
Summary: Service Retirement runs twice for direct service children
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.9.5
Assignee: drew uhlmann
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-27 16:43 UTC by Tina Fitzgerald
Modified: 2019-02-28 17:45 UTC (History)
6 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 13:58:45 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:16 UTC

Description Tina Fitzgerald 2018-08-27 16:43:15 UTC
Service Retirement has been calling service retirement 2 times for each sub-service. Although the double retirement calls aren't necessary, they shouldn't cause any issues. Any item(s) are skipped over once they're retired.  


Steps to Reproduce:
1. Provision A Service Bundle containing a Single Child Service.
1. Retire the Service Bundle.
2. Search logs for Service.retire_now. (Look for the sub service name for the Service.retire_now since there will be a Service.retire_now call for the Bundled Service)

Actual results:
Double call for the sub-service Service.retire_now call.

Expected results:
Should only be a single call for the sub-service Service.retire_now.


Additional info:

The PR was initially posted to this ticket:
https://bugzilla.redhat.com/show_bug.cgi?id=1600670

Comment 2 Tina Fitzgerald 2018-08-27 18:04:36 UTC
https://github.com/ManageIQ/manageiq/pull/17881

Comment 4 drew uhlmann 2018-08-28 20:01:18 UTC
Per https://github.com/ManageIQ/manageiq/pull/17881#issuecomment-416719204, the PR linked that fixes this issue can't be merged yet.

Comment 5 Tasos Papaioannou 2018-10-15 18:24:35 UTC
Verified on 5.9.5.1.

Comment 7 errata-xmlrpc 2018-11-05 13:58:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.